InvalidClassException (Java Platform SE 8 )
Keywords: java.io.InvalidClassException class
Date: 2015-05-24

compact1, compact2, compact3
java.io

## Class InvalidClassException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.ObjectStreamException
        - - java.io.InvalidClassException

- All Implemented Interfaces:
    Serializable

      public class InvalidClassException
      extends ObjectStreamException

  Thrown when the Serialization runtime detects one of the following problems with a Class.
  - The serial version of the class does not match that of the class descriptor read from the stream
  - The class contains unknown datatypes
  - The class does not have an accessible no-arg constructor
  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `classname` Name of the invalid class.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidClassException(String reason)` Report an InvalidClassException for the reason specified.
    `InvalidClassException(String cname, String reason)` Constructs an InvalidClassException object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()` Produce the message and include the classname, if present.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### classname

          public String classname

      Name of the invalid class.

  - ### Constructor Detail

    - #### InvalidClassException

          public InvalidClassException(String reason)

      Report an InvalidClassException for the reason specified.
      Parameters:
        `reason` - String describing the reason for the exception.

    - #### InvalidClassException

          public InvalidClassException(String cname,
                                       String reason)

      Constructs an InvalidClassException object.
      Parameters:
        `cname` - a String naming the invalid class.
        `reason` - a String describing the reason for the exception.

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Produce the message and include the classname, if present.
      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        the detail message string of this `Throwable` instance (which may be `null`).

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.